import { FetchResult } from '@apollo/client/core';
import { CustomQuery, AddConfigurableProductsToCartInput, AddConfigurableProductsToCartMutation } from '@vsf-enterprise/magento-api-types';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import type { Context } from '../../types/context';
/**
 * Adds a set of configurable products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function addConfigurableProductsToCart(context: Context, input: AddConfigurableProductsToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<AddConfigurableProductsToCartMutation>>;
