import { ApolloQueryResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { CmsBlockQuery, CustomQuery } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Fetch CMS Blocks from Magento Api.
 *
 * @param context - VSF Context
 * @param identifiers - identifiers of CMS blocks
 * @param [customQuery] - (optional) - custom GraphQL query that extends the default cmsBlocks query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getCmsBlocks(context: Context, identifiers: string, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CmsBlockQuery>>;
