import { FetchResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { CreateCustomerAddressMutation, CustomerAddressInput, CustomQuery } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Creates a customer address.
 *
 * @param context VSF Context
 * @param input new customer address data
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function createCustomerAddress(context: Context, input: CustomerAddressInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<CreateCustomerAddressMutation>>;
