import { ApolloQueryResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { CustomerAvailableShippingMethodsQuery, CustomQuery } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Retrive available shipping methods for current customer
 * @param context VSF Context
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getAvailableCustomerShippingMethods(context: Context, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<CustomerAvailableShippingMethodsQuery>>;
