import { FetchResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { RequestPasswordResetEmailMutation, RequestPasswordResetEmailMutationVariables } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Requests a password reset email to be sent to the user
 * @param context VSF Context
 * @param input Email for which to request a password reset
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function requestPasswordResetEmail(context: Context, input: RequestPasswordResetEmailMutationVariables, customHeaders?: CustomHeaders): Promise<FetchResult<RequestPasswordResetEmailMutation>>;
