import { FetchResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { ResetPasswordMutation, ResetPasswordMutationVariables } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Resets a user's password
 * @param context VSF Context
 * @param input Params used to reset a user's password
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function resetPassword(context: Context, input: ResetPasswordMutationVariables, customHeaders?: CustomHeaders): Promise<FetchResult<ResetPasswordMutation>>;
