import type { ApolloQueryResult } from '@apollo/client/core';
import type { CustomHeaders, RoutableInterface, RouteQuery } from '@vsf-enterprise/magento-api-types';
import type { Context } from '../../types/context';
/**
 * Returns the canonical URL for a specified product, category, or CMS page
 *
 * @param context VSF Context
 * @param url the URL to be resolved
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function route(context: Context, url: string, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<RouteQuery<RoutableInterface>>>;
