import type { ApolloQueryResult } from '@apollo/client/core';
import type { CustomHeaders, CustomQuery, GetProductSearchParams, UpsellProductsQuery } from '@vsf-enterprise/magento-api-types';
import type { Context } from '../../types/context';
/**
 * Returns upsell products matching the provided parameters. To override the default query, use the `upsellProducts` query key.
 */
declare const _default: (context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery, customHeaders?: CustomHeaders) => Promise<ApolloQueryResult<UpsellProductsQuery>>;
export default _default;
